View Issue Details

IDProjectCategoryView StatusLast Update
0002650SymmetricDS ProImprovementpublic2016-08-12 11:01
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionduplicate 
Product Version3.8.0 
Target Version3.8.1Fixed in Version3.8.1 
Summary0002650: Support File Sync on Android
DescriptionSupport file sync on Android. This includes pushing files down to the device, as well as capture and syncing files up from the device.

Paths on Android that are in the main storage area (external storage/SD card, in Android parlance), should start with ${androidBaseDir}. So to push files down to a directory on the device under Documents/Manuals, use the target dir of ${androidBaseDir}/Documents/manuals.

To take advantage of this shared storage, apps need to properly request permission READ_WRITE_EXTERNAL_STORAGE. See for example: http://stackoverflow.com/questions/31162638/grant-permission-required-for-external-storage-in-android-m.





TagsNo tags attached.

Activities

mmichalek

2016-07-20 11:55

administrator   ~0000820

See http://www.symmetricds.org/issues/view.php?id=2687 instead, this was entered in the incorrect project.

Related Changesets

SymmetricDS: 3.8 e4cbb8f7

2016-06-27 15:58:03

mmichalek

Details Diff
0002650: Support File Sync on Android. Fix field name reference
relative to the symmetric-schema.xml.

0002650
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File

SymmetricDS: 3.8 32a86bb7

2016-06-27 16:01:26

mmichalek

Details Diff
0002650: Support File Sync on Android.
0002650
add - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidFileSyncService.java Diff File
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteJdbcSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

SymmetricDS: 3.8 30ac8501

2016-06-29 22:45:49

mmichalek

Details Diff
0002650: Support File Sync on Android.
0002650
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidFileSyncService.java Diff File
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/NoContentException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/FileSyncPullUriHandler.java Diff File

SymmetricDS: 3.8 aab26e28

2016-06-30 17:52:01

mmichalek

Details Diff
0002650: Support File Sync on Android.
0002650
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2016-06-27 15:56 mmichalek New Issue
2016-06-27 15:56 mmichalek Status new => assigned
2016-06-27 15:56 mmichalek Assigned To => mmichalek
2016-06-27 16:00 mmichalek Changeset attached => SymmetricDS 3.8 e4cbb8f7
2016-06-27 17:00 mmichalek Changeset attached => SymmetricDS 3.8 32a86bb7
2016-06-29 23:00 mmichalek Changeset attached => SymmetricDS 3.8 30ac8501
2016-06-30 18:00 mmichalek Changeset attached => SymmetricDS 3.8 aab26e28
2016-07-18 13:44 mmichalek Status assigned => resolved
2016-07-18 13:44 mmichalek Resolution open => fixed
2016-07-18 13:44 mmichalek Fixed in Version => 3.8.0
2016-07-20 11:55 mmichalek Note Added: 0000820
2016-07-20 11:55 mmichalek Status resolved => feedback
2016-07-20 11:55 mmichalek Resolution fixed => reopened
2016-07-20 11:55 mmichalek Status feedback => closed
2016-07-20 11:55 mmichalek Resolution reopened => duplicate
2016-08-10 11:04 chenson Fixed in Version 3.8.0 => 3.8.1
2016-08-12 11:01 elong Target Version 3.8.0 => 3.8.1